<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.35
Name: [4] Pielęgniarska skala oceny ADL
Description: Szablon CDA dla pielęgniarskiej skali oceny ADL
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000">
   <title>[4] Pielęgniarska skala oceny ADL</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]"
         id="tmp-r-7e8de570-2e92-4a94-b159-fec2dc266ae4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']"
         id="tmp-r-c25ec182-c29e-4516-8465-b082e2508790">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingAdlAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingAdlAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingAdlAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] | self::hl7:id | self::hl7:code[@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:value[@code='10028224' or @code='10000956'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028708' or @code='10000987'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028333' or @code='10001046'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028322' or @code='10001005'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028314' or @code='10000994'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10029240' or @code='10001067'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'] | self::hl7:value[@code='10028253' or @code='10000973'][@xsi:type='CD'][@codeSystem='2.16.840.1.113883.6.97'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')])&gt;=1 and not(hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028224' or @code='10000956'])&gt;=1 and not(hl7:value[@code='10028224' or @code='10000956']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028224' or @code='10000956'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028224' or @code='10000956'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028224' or @code='10000956'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028708' or @code='10000987'])&gt;=1 and not(hl7:value[@code='10028708' or @code='10000987']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028708' or @code='10000987'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028708' or @code='10000987'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028708' or @code='10000987'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028333' or @code='10001046'])&gt;=1 and not(hl7:value[@code='10028333' or @code='10001046']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028333' or @code='10001046'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028333' or @code='10001046'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028333' or @code='10001046'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028322' or @code='10001005'])&gt;=1 and not(hl7:value[@code='10028322' or @code='10001005']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028322' or @code='10001005'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028322' or @code='10001005'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028322' or @code='10001005'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028314' or @code='10000994'])&gt;=1 and not(hl7:value[@code='10028314' or @code='10000994']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028314' or @code='10000994'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028314' or @code='10000994'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028314' or @code='10000994'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10029240' or @code='10001067'])&gt;=1 and not(hl7:value[@code='10029240' or @code='10001067']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10029240' or @code='10001067'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10029240' or @code='10001067'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10029240' or @code='10001067'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028253' or @code='10000973'])&gt;=1 and not(hl7:value[@code='10028253' or @code='10000973']/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028253' or @code='10000973'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[@code='10028253' or @code='10000973'])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[@code='10028253' or @code='10000973'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.35']"
         id="tmp-r-de46af0a-5738-4b03-b108-1591aaca80a0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.35'">(plCdaNursingAdlAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.35'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:id
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:id"
         id="tmp-r-21bd2574-2f9c-4121-b34e-4f7cc38061ac">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:code[(@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2')]"
         id="tmp-r-c0677e19-3ec4-4484-94aa-acc964ae05ce">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SADL' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SADL' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:statusCode
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:statusCode"
         id="tmp-r-0276118d-625a-40b5-8184-42bb5abc6e63">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:effectiveTime
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:effectiveTime"
         id="tmp-r-0d457ddc-7523-477e-92d7-9feef7b0bd8c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']"
         id="tmp-r-c0b97fc8-2e4e-43df-8201-4c9b7bf5968c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.40-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoKapieli Zdolność do kąpieli (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.40-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoKapieli Zdolność do kąpieli (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier"
         id="tmp-r-0f554d70-9dba-47cd-bca7-efc30c92982b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-4642cd55-ec52-48db-94af-0c07626f635e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028224' or @code='10000956']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-1c700678-1593-4a20-92ec-e19f64784881">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']"
         id="tmp-r-1b9c5144-7873-4eb9-ac04-42852d790f9a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.41-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoHigienyOsobistej Zdolność do higieny osobistej (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.41-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoHigienyOsobistej Zdolność do higieny osobistej (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier"
         id="tmp-r-1d49729f-2466-4881-9b5c-87ce14b376b0">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-629b1cc3-f5aa-4896-bc58-551bdbf311a5">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028708' or @code='10000987']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-e5f7cb0b-1459-4ffa-848a-07470d14fa64">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']"
         id="tmp-r-a445446d-a7fa-49b3-a50c-3bc884c2f433">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.42-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoChodzenia Zdolność do chodzenia (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.42-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoChodzenia Zdolność do chodzenia (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier"
         id="tmp-r-4ef24b80-e62f-4230-8169-6059a77f044b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-f161576b-812c-4c1c-9d2a-3bb38b9e15d5">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028333' or @code='10001046']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-cab84496-5bb7-4f28-b988-2380fc92543d">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']"
         id="tmp-r-876f0798-6811-4f9e-ae59-516fc08ccf1e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.43-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoWyjsciaDoToalety Zdolność do wyjścia do toalety (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.43-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoWyjsciaDoToalety Zdolność do wyjścia do toalety (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier"
         id="tmp-r-0e7a7194-482c-471a-b379-dc1d755c4471">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-01c8ca7f-d34a-4358-a8d3-8e9b96134cd9">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028322' or @code='10001005']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-59e5e6fd-f7cf-408c-8186-d0033cd3afbd">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']"
         id="tmp-r-5302cb3d-3d63-406a-9e03-f56a136397a8">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.44-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscKorzystaniaZToalety Zdolność korzystania z toalety (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.44-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscKorzystaniaZToalety Zdolność korzystania z toalety (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier"
         id="tmp-r-5295cdd0-1c70-45f6-932d-4802c7f2d0c3">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-0558f0d6-d922-4fdb-9a83-cb39f295dc87">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028314' or @code='10000994']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-7e58e018-9356-4786-8e5c-9f22fc7ff66e">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']"
         id="tmp-r-5871621f-3cbe-4723-a0bc-06ac4ae768da">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.45-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoPoruszaniaWLozku Zdolność do poruszania w łóżku (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.45-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoPoruszaniaWLozku Zdolność do poruszania w łóżku (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier"
         id="tmp-r-4e243339-5e80-46f6-ae66-37a6a16ce46b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-08d562fd-c9d5-4e2f-9b86-f0b3750815e8">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10029240' or @code='10001067']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-e1a74e1b-1cfe-4c9e-80ce-a7b26da7ccdb">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']"
         id="tmp-r-e2029783-9330-4138-ba74-6107548c86ac">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.46-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić ZdolnoscDoJedzenia Zdolność do jedzenia (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.46-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ZdolnoscDoJedzenia Zdolność do jedzenia (DYNAMICZNE)</assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingAdlAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier)])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:qualifier)&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:qualifier występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier"
         id="tmp-r-e575829b-7ad5-417f-8ec7-4da16fafc198">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:name[@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @codeSystemName='Słownik wartości dla skali ADL' and @displayName='Samodzielność pacjenta'] | self::hl7:value[@codeSystem='2.16.840.1.113883.3.4424.13.5.3.1'])])">(plCdaNursingAdlAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny ADL" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&gt;=1 and not(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaNursingAdlAssesmentEntry): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:name[(@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1')]"
         id="tmp-r-5f20c118-b803-4859-8ff2-7ab1be8c7446">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SAM' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.1' and @displayName='Samodzielność pacjenta' and @codeSystemName='Słownik wartości dla skali ADL')">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić code 'SAM' codeSystem '2.16.840.1.113883.3.4424.13.5.3.1' displayName='Samodzielność pacjenta' codeSystemName='Słownik wartości dla skali ADL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.35
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaNursingAdlAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.35']/hl7:value[@code='10028253' or @code='10000973']/hl7:qualifier/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-7bc49bb5-65b1-4bba-9b82-572257149c99">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingAdlAssesmentEntry): Wartość elementu MUSI wynosić SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.35-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingAdlAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SamodzielnoscPacjenta Samodzielność pacjenta (DYNAMICZNE)</assert>
   </rule>
</pattern>
